Skip to main content
This API lets you fetch all the brands associated with an account.

API Endpoint

GET
https://api.plivo.com/v1/Account/{auth_id}/10dlc/Brand/

Arguments

Denotes the number of results per page. The maximum number of results that can be fetched is 20. Defaults to 20.
Denotes the number of value items by which the results should be offset. Defaults to 0. Read more about offset-based pagination.
Filter by registration_status. Allowed values: FAILED, PROCESSING, COMPLETED
Filter by registration type. Allowed values: STARTER, STANDARD

Returns

api_id and a dictionary with an objects property that contains up to 20 brands. Each tuple in the list is a separate Brand object.
import plivo

client = plivo.RestClient("<auth_id>", "<auth_token>")
response = client.campaign.list(limit=1, offset=0)
print(response)

Response

Response
{
   "api_id":"553379bc-6c9a-4f5d-8e8f-e0999euejene8",
   "meta":{
      "limit":1,
      "offset":0,
      "next":"/v1/Account/<AUTH_ID>/10dlc/Brand/?limit=1&offset=1",
      "previous":null,
      "total_count":45
   },
   "brands":[
      {
    	"brand_alias": "sample name",
        "brand_id": "BXXXXX",
        "brand_type": "STANDARD",
        "company_name": "sample company",
        "ein": "123456789",
        "ein_issuing_country": "US",
        "entity_type": "PUBLIC",
        "profile_uuid": "7b8ff904-a1d2-46b2-888d-34d4df4cf95a",
        "registration_status": "COMPLETED",
        "vertical": "COMMUNICATION",
        "vetting_score": 80,
        "vetting_status": "ACTIVE",
        "website": "www.samplewebsite.com"
        "Address":{
            "city": "Dallas",
            "country": "US",
            "postal_code": "10001",
            "state": "Texas",
            "street": "#11, Nashville Street"
            },
        "Authorized_contact":{
            "email": "xxxx@gmail.com",
            "first_name": "John",
            "last_name": "Doe",
            "phone": "14845355113",
            "seniority": "Admin",
            "title": "Mr"
            },
        "created_at":"2023-03-06T20:59:26.040592Z"
          }
   ]
}